// アクティブになっているアートボード内にあるパスだけ残す
// ドキュメント全体から該当パスを削除
removePath(activeDocument.pathItems);
// ドキュメント全体から該当テキストフレームを削除
removePath(activeDocument.textFrames);
// パスを削除する関数
function removePath(p){
    // アクティブにアートボードのインデックス番号を求める
    var abIndex = app.activeDocument.artboards.getActiveArtboardIndex();
    // アクティブなアートボードのサイズを求める
    var rect = app.activeDocument.artboards[abIndex].artboardRect;
    var ax1 = rect[0];
    var ay1 = -rect[1];
    var ax2 = rect[2];
    var ay2 = -rect[3];
    //$.writeln("artboard:("+ax1+","+ay1+")-("+ax2+","+ay2+")");
    for(var i=p.length-1; i>=0; i--){
        var geo = p[i].geometricBounds;
        if (!geo){ continue; }
        var x1 = geo[0];
        var y1 = -geo[1];
        var x2 = geo[2];
        var y2 = -geo[3];
        //$.writeln("("+x1+","+y1+")-("+x2+","+y2+")");
        // アートボード内に完全に座標値が収まっているか調べる
        if((x1>=ax1) && (y1>=ay1)&&(x2<=ax2)&&(y2<=ay2)) {
            // アートボード内に収まっている場合に処理したい場合は、ここで何か行う
        }else{
            // 削除する
            //$.writeln("remove "+i);
            p[i].remove();
        }
    }
}
